> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organizações do Usuário

> Obtém uma lista paginada de organizações às quais esse usuário tem acesso

Requer uma chave de API pessoal de um administrador Enterprise.

Retorna uma lista paginada de organizações às quais um usuário específico tem acesso dentro da sua conta Enterprise.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/members/{user_id}/organizations
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/members/{user_id}/organizations:
    get:
      tags:
        - members
      summary: Endpoint de organizações de usuários do Enterprise
      description: Obter lista paginada de organizações às quais o usuário tem acesso
      operationId: >-
        enterprise_user_organizations_endpoint_v2_enterprise_members__user_id__organizations_get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_UserOrgResponse_'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    PaginatedResponse_UserOrgResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/UserOrgResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[UserOrgResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    UserOrgResponse:
      properties:
        email:
          title: Email
          type: string
        enterprise_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Enterprise Role
        name:
          title: Name
          type: string
        org_id:
          title: Org Id
          type: string
        org_name:
          title: Org Name
          type: string
        org_role:
          title: Org Role
          type: string
        org_role_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Role Name
        user_id:
          title: User Id
          type: string
      required:
        - user_id
        - email
        - name
        - org_id
        - org_name
        - org_role
      title: UserOrgResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````